Summary: Standalone WWW BLAST server suite
Name: wwwblast
Version: 2.2
Release: 12
Group: Applications/Bioinformatics
Copyright: GPL
URL: ftp://ftp.ncbi.nih.gov/blast/%{name}_%{version}/
Source: wwwblast-2.2.12-ia32-linux.tar.gz
BuildRoot: %{_tmppath}/%{name}_%{version}-root

%description
This standalone WWW BLAST server suite of programs was designed similar to
the regular NCBI BLAST server and such command-line NCBI BLAST programs
like "blastall", "blastpgp", "rpsblast" and "megablast". It incorporates
most features, which exist in NCBI BLAST programs and should be relatively
easy to use.

%define wwwdir /var/www/html

%prep
%setup -q -n blast

%build
mkdir -p $RPM_BUILD_ROOT%{wwwdir}

%install 
install -d $RPM_BUILD_ROOT%{wwwdir}/blast

# create the necessary directories
for i in `find . -type d -print`; do
    install -d $RPM_BUILD_ROOT%{wwwdir}/blast/$i;
done

# install the files into the /var/www/html/blast
for i in `find . -type f -print`; do
    install -m 644 $i $RPM_BUILD_ROOT%{wwwdir}/blast/$i;
done

cd $RPM_BUILD_ROOT%{wwwdir}/blast/

# turn on the execution bit for *.cgi and *.REAL
# files
for i in `find . -name '*.cgi' -print`; do 
    chmod 755 $i; 
done

for i in `find . -name '*.REAL' -print`; do 
    chmod 755 $i; 
done

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root)
/var/www/html/blast

%changelog
* Fri Sep 29 2005 gotero <gotero@linuxprophet.com>
- Upgraded and edited for version 2.2.12
* Fri Nov 01 2002 Najib Ninaba <najib@remorseful.org>
- Initial packaging

